﻿using VL.Vector.Core;
/// <summary>
/// Curated Set of useful defaults. Geared to be a replacement for the current sharpdx vector default, so typed to float32
/// </summary>
/// <remarks>Any custom optimisation can occur here</remarks>
namespace VL.Vector.Basic
{
    public class Vector2 : GenericVector2<float>
    {
        public Vector2(float X, float Y) : base(X, Y) { }
    }

    public class Vector3 : GenericVector3<float>
    {
        public Vector3(float X, float Y, float Z) : base(X, Y, Z) { }
    }
    public class Vector4 : GenericVector4<float>
    {
        public Vector4(float X, float Y, float Z, float W) : base(X, Y, Z, W)
        {
            //            this.W = W;
        }
    }
}
